diff --git a/InstallGuide.md b/InstallGuide.md
--- a/InstallGuide.md
+++ b/InstallGuide.md
@@ -23,11 +23,13 @@
         zypper ar -f http://download.opensuse.org/repositories/devel:openQA:stable/openSUSE_13.2/devel:openQA:stable.repo
         zypper ar -f obs://devel:openQA/openSUSE_13.2 openQA
         zypper ar -f obs://devel:openQA:13.2/openSUSE_13.2 openQA-perl-modules
+        zypper ar -f obs://Virtualization/openSUSE_13.2 Virtualization
 
-3. install OpenQA
+3. install OpenQA and ovmf (for UEFI testing)
 
         zypper in openQA
         zypper in openQA-worker
+        zypper in --from Virtualization qemu-ovmf-x86_64
 
 4. create filesystem layout
 
diff --git a/docker/worker/Dockerfile b/docker/worker/Dockerfile
--- a/docker/worker/Dockerfile
+++ b/docker/worker/Dockerfile
@@ -6,9 +6,12 @@
     zypper ar -f http://download.opensuse.org/repositories/devel:openQA:stable/openSUSE_13.2/devel:openQA:stable.repo && \
     zypper ar -f obs://devel:openQA/openSUSE_13.2 openQA && \
     zypper ar -f obs://devel:openQA:13.2/openSUSE_13.2 openQA-perl-modules && \
+    zypper ar -f obs://Virtualization/openSUSE_13.2 Virtualization && \
     curl https://build.opensuse.org/source/devel:openQA/_pubkey > /tmp/pubkey && rpm --import /tmp/pubkey && \
+    curl https://build.opensuse.org/source/Virtualization/_pubkey > /tmp/virt_pubkey && rpm --import /tmp/virt_pubkey && \
     zypper --non-interactive in --from devel_openQA_stable openQA-worker qemu-kvm && \
-    zypper --non-interactive in kmod
+    zypper --non-interactive in kmod && \
+    zypper --non-interactive in --from Virtualization qemu-ovmf-x86_64
 
 # set-up qemu
 RUN mkdir -p /root/qemu
diff --git a/fedora_openqa_schedule/conf_test_suites.py b/fedora_openqa_schedule/conf_test_suites.py
--- a/fedora_openqa_schedule/conf_test_suites.py
+++ b/fedora_openqa_schedule/conf_test_suites.py
@@ -33,10 +33,15 @@
     return "{0} {1}".format(payload, imagetype)
 
 TESTCASES = {
+    # env: variable - columns in table
+    #   $RUNARCH_OR_UEFI$ - i386, x86_64, UEFI
+    #   $RUNARCH$         - i386, x86_64
+    #   $BOOTMETHOD$      - x86 BIOS, x86 UEFI
+
     "QA:Testcase_Boot_default_install": {
         "name_cb": default_install_cb,
         "section": 'Default boot and install',
-        "env": "$RUNARCH$",
+        "env": "$RUNARCH_OR_UEFI$",
         "type": "Installation",
     },
     "QA:Testcase_install_to_VirtIO": {
@@ -46,7 +51,7 @@
     },
     "QA:Testcase_partitioning_guided_empty": {
         "section": "Guided storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_Anaconda_User_Interface_Graphical": {
@@ -66,7 +71,7 @@
     },
     "QA:Testcase_partitioning_guided_delete_all": {
         "section": "Guided storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_install_to_SATA": {
@@ -76,7 +81,7 @@
     },
     "QA:Testcase_partitioning_guided_multi_select": {
         "section": "Guided storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_install_to_SCSI": {
@@ -121,47 +126,47 @@
     },
     "QA:Testcase_partitioning_guided_encrypted": {
         "section": "Guided storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_partitioning_guided_delete_partial": {
         "section": "Guided storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_partitioning_guided_free_space": {
         "section": "Guided storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_partitioning_guided_multi_empty_all": {
         "section": "Guided storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_partitioning_custom_software_RAID": {
         "section": "Custom storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_partitioning_custom_btrfs": {
         "section": "Custom storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_partitioning_custom_lvmthin": {
         "section": "Custom storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_partitioning_custom_standard_partition_ext3": {
         "section": "Custom storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_partitioning_custom_no_swap": {
         "section": "Custom storage configuration",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_Kickstart_Hd_Device_Path_Ks_Cfg": {
@@ -171,12 +176,12 @@
     },
     "QA:Testcase_upgrade_fedup_cli_previous_minimal": {
         "section": "Upgrade",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_upgrade_fedup_cli_previous_workstation": {
         "section": "Upgrade",
-        "env": "x86 BIOS",
+        "env": "$BOOTMETHOD$",
         "type": "Installation",
     },
     "QA:Testcase_Anaconda_updates.img_via_local_media": {
diff --git a/fedora_openqa_schedule/report.py b/fedora_openqa_schedule/report.py
--- a/fedora_openqa_schedule/report.py
+++ b/fedora_openqa_schedule/report.py
@@ -61,6 +61,8 @@
         if job['result'] == 'passed':
             (release, milestone, compose) = job['settings']['BUILD'].split('_')
             testsuite = job['settings']['TEST']
+            # We need to differentiate tests with UEFI from BIOS
+            uefi = job['settings'].has_key('UEFI')
             arch = job['settings']['ARCH']
             flavor = job['settings']['FLAVOR']
 
@@ -74,7 +76,17 @@
                 testname = ''
                 if 'name_cb' in uniqueres:
                     testname = uniqueres['name_cb'](flavor)
-                env = arch if uniqueres['env'] == '$RUNARCH$' else uniqueres['env']
+                # Decide what column should be used for report.
+                # Testcases with more columns now have to use $variable$ so it
+                # could be decided where to report the result
+                if uniqueres['env'] == '$RUNARCH_OR_UEFI$':
+                    env = 'UEFI' if uefi else arch
+                elif uniqueres['env'] == '$RUNARCH$':
+                    env = arch
+                elif uniqueres['env'] == '$BOOTMETHOD$':
+                    env = 'x86 UEFI' if uefi else 'x86 BIOS'
+                else:
+                    env = uniqueres['env']
                 result = ResTuple(
                     testtype=uniqueres['type'], release=release, milestone=milestone,
                     compose=compose, testcase=testcase, section=uniqueres['section'],