diff --git a/lib/fedoradistribution.pm b/lib/fedoradistribution.pm
--- a/lib/fedoradistribution.pm
+++ b/lib/fedoradistribution.pm
@@ -1,6 +1,8 @@
 package fedoradistribution;
 use base 'distribution';
 
+use testapi;
+
 # Fedora distribution class
 
 # Distro-specific functions, that are actually part of the API
@@ -29,7 +31,7 @@
     send_key "alt-f2";
     sleep 3;
     type_string $program;
-    sleep 1;
+    wait_idle 5; # because of KDE dialog - SUSE guys are doing the same!
     send_key "ret", 1;
 }
 
diff --git a/needles/graphical_login_sddm.json b/needles/graphical_login_sddm.json
new file mode 100644
--- /dev/null
+++ b/needles/graphical_login_sddm.json
@@ -0,0 +1,26 @@
+{
+  "tags": [
+    "graphical_login",
+    "ENV-DESKTOP-kde",
+    "ENV-DISTRI-fedora",
+    "ENV-INSTLANG-en_US",
+    "ENV-FLAVOR-kde_live"
+  ],
+  "properties": [],
+  "area": [
+    {
+      "xpos": 7,
+      "ypos": 7,
+      "width": 54,
+      "height": 18,
+      "type": "match"
+    },
+    {
+      "xpos": 621,
+      "ypos": 591,
+      "width": 17,
+      "height": 23,
+      "type": "match"
+    }
+  ]
+}
\ No newline at end of file
diff --git a/needles/graphical_login_sddm.png b/needles/graphical_login_sddm.png
new file mode 100644
index 0000000000000000000000000000000000000000..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/needles/kde_live_anaconda_icon.json b/needles/kde_live_anaconda_icon.json
new file mode 100644
--- /dev/null
+++ b/needles/kde_live_anaconda_icon.json
@@ -0,0 +1,19 @@
+{
+  "tags": [
+    "live_start_anaconda_icon",
+    "ENV-DESKTOP-kde",
+    "ENV-DISTRI-fedora",
+    "ENV-INSTLANG-en_US",
+    "ENV-FLAVOR-kde_live"
+  ],
+  "area": [
+    {
+      "xpos": 42,
+      "ypos": 43,
+      "width": 41,
+      "height": 33,
+      "type": "match"
+    }
+  ],
+  "properties": []
+}
\ No newline at end of file
diff --git a/needles/kde_live_anaconda_icon.png b/needles/kde_live_anaconda_icon.png
new file mode 100644
index 0000000000000000000000000000000000000000..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/needles/workstation_live_initial.json b/needles/workstation_live_initial.json
--- a/needles/workstation_live_initial.json
+++ b/needles/workstation_live_initial.json
@@ -1,6 +1,7 @@
 {
   "tags": [
     "live_initial_anaconda_launcher",
+    "live_start_anaconda_icon",
     "ENV-DISTRI-fedora",
     "ENV-DESKTOP-gnome"
   ],
diff --git a/templates b/templates
--- a/templates
+++ b/templates
@@ -41,6 +41,16 @@
                       product    => {
                                       arch    => "x86_64",
                                       distri  => "fedora",
+                                      flavor  => "kde_live",
+                                      version => "*",
+                                    },
+                      test_suite => { name => "default_install" },
+                    },
+                    {
+                      machine    => { name => "64bit" },
+                      product    => {
+                                      arch    => "x86_64",
+                                      distri  => "fedora",
                                       flavor  => "universal",
                                       version => "*",
                                     },
@@ -301,6 +311,16 @@
                       product    => {
                                       arch    => "i386",
                                       distri  => "fedora",
+                                      flavor  => "generic_boot",
+                                      version => "*",
+                                    },
+                      test_suite => { name => "kde_live" },
+                    },
+                    {
+                      machine    => { name => "32bit" },
+                      product    => {
+                                      arch    => "i386",
+                                      distri  => "fedora",
                                       flavor  => "universal",
                                       version => "*",
                                     },
@@ -575,6 +595,18 @@
                       version   => "*",
                     },
                     {
+                      arch      => "x86_64",
+                      distri    => "fedora",
+                      flavor    => "kde_live",
+                      name      => "",
+                      settings  => [
+                        { key => "LIVE", value => "1" },
+                        { key => "DESKTOP", value => "kde" }
+                                   ],
+                      variables => "",
+                      version   => "*",
+                    },
+                    {
                       arch      => "i386",
                       distri    => "fedora",
                       flavor    => "universal",
@@ -615,7 +647,19 @@
                                    ],
                       variables => "",
                       version   => "*",
-                    }
+                  },
+                  {
+                    arch      => "i386",
+                    distri    => "fedora",
+                    flavor    => "kde_live",
+                    name      => "",
+                    settings  => [
+                      { key => "LIVE", value => "1" },
+                      { key => "DESKTOP", value => "kde" }
+                                 ],
+                    variables => "",
+                    version   => "*",
+                  }
                   ],
   TestSuites   => [
                     {
diff --git a/tests/_boot_to_anaconda.pm b/tests/_boot_to_anaconda.pm
--- a/tests/_boot_to_anaconda.pm
+++ b/tests/_boot_to_anaconda.pm
@@ -41,7 +41,7 @@
     {
         # on lives, we have to explicitly launch anaconda
         if (get_var('LIVE')) {
-            assert_and_click "live_initial_anaconda_launcher", '', 300;
+            assert_and_click "live_start_anaconda_icon", '', 300;
         }
         # wait for anaconda to appear
         assert_screen "anaconda_select_install_lang", 300;