diff --git a/needles/anaconda_install_destination_encrypt_data.json b/needles/anaconda_install_destination_encrypt_data.json
--- a/needles/anaconda_install_destination_encrypt_data.json
+++ b/needles/anaconda_install_destination_encrypt_data.json
@@ -3,7 +3,6 @@
     "anaconda_install_destination_encrypt_data",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ENGLISH",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ],
   "area": [
diff --git a/needles/anaconda_install_destination_encrypt_data_french.json b/needles/anaconda_install_destination_encrypt_data_french.json
--- a/needles/anaconda_install_destination_encrypt_data_french.json
+++ b/needles/anaconda_install_destination_encrypt_data_french.json
@@ -12,7 +12,6 @@
         "anaconda_install_destination_encrypt_data",
         "ENV-DISTRI-fedora",
         "ENV-LANGUAGE-FRENCH",
-        "ENV-OFW-1",
         "ENV-FLAVOR-server"
     ]
 }
\ No newline at end of file
diff --git a/needles/anaconda_install_destination_reclaim_space_delete_btn.json b/needles/anaconda_install_destination_reclaim_space_delete_btn.json
--- a/needles/anaconda_install_destination_reclaim_space_delete_btn.json
+++ b/needles/anaconda_install_destination_reclaim_space_delete_btn.json
@@ -3,7 +3,6 @@
     "anaconda_install_destination_reclaim_space_delete_btn",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ENGLISH",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ],
   "area": [
diff --git a/needles/anaconda_install_destination_reclaim_space_first_partition.json b/needles/anaconda_install_destination_reclaim_space_first_partition.json
--- a/needles/anaconda_install_destination_reclaim_space_first_partition.json
+++ b/needles/anaconda_install_destination_reclaim_space_first_partition.json
@@ -12,7 +12,6 @@
     "anaconda_install_destination_reclaim_space_first_partition",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ALL",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ]
 }
diff --git a/needles/anaconda_install_destination_reclaim_space_second_partition.json b/needles/anaconda_install_destination_reclaim_space_second_partition.json
--- a/needles/anaconda_install_destination_reclaim_space_second_partition.json
+++ b/needles/anaconda_install_destination_reclaim_space_second_partition.json
@@ -12,7 +12,6 @@
     "anaconda_install_destination_reclaim_space_second_partition",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ALL",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ]
 }
diff --git a/needles/anaconda_install_destination_save_passphrase.json b/needles/anaconda_install_destination_save_passphrase.json
--- a/needles/anaconda_install_destination_save_passphrase.json
+++ b/needles/anaconda_install_destination_save_passphrase.json
@@ -12,7 +12,6 @@
     "anaconda_install_destination_save_passphrase",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ENGLISH",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ]
 }
\ No newline at end of file
diff --git a/needles/anaconda_install_destination_save_passphrase_french.json b/needles/anaconda_install_destination_save_passphrase_french.json
--- a/needles/anaconda_install_destination_save_passphrase_french.json
+++ b/needles/anaconda_install_destination_save_passphrase_french.json
@@ -12,7 +12,6 @@
         "anaconda_install_destination_save_passphrase",
         "ENV-DISTRI-fedora",
         "ENV-LANGUAGE-FRENCH",
-        "ENV-OFW-1",
         "ENV-FLAVOR-server"
     ]
 }
diff --git a/needles/anaconda_install_source_check_repo_added.json b/needles/anaconda_install_source_check_repo_added.json
--- a/needles/anaconda_install_source_check_repo_added.json
+++ b/needles/anaconda_install_source_check_repo_added.json
@@ -3,7 +3,6 @@
     "anaconda_install_source_check_repo_added",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ALL",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ],
   "area": [
diff --git a/needles/anaconda_install_source_check_repo_added_eurlatgr.json b/needles/anaconda_install_source_check_repo_added_eurlatgr.json
--- a/needles/anaconda_install_source_check_repo_added_eurlatgr.json
+++ b/needles/anaconda_install_source_check_repo_added_eurlatgr.json
@@ -3,7 +3,6 @@
     "anaconda_install_source_check_repo_added",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ALL",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ],
   "area": [
diff --git a/needles/anaconda_install_source_check_repo_added_inst_repo.json b/needles/anaconda_install_source_check_repo_added_inst_repo.json
--- a/needles/anaconda_install_source_check_repo_added_inst_repo.json
+++ b/needles/anaconda_install_source_check_repo_added_inst_repo.json
@@ -12,7 +12,6 @@
     "anaconda_install_source_check_repo_added",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ALL",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ]
 }
diff --git a/needles/anaconda_install_source_on_the_network.json b/needles/anaconda_install_source_on_the_network.json
--- a/needles/anaconda_install_source_on_the_network.json
+++ b/needles/anaconda_install_source_on_the_network.json
@@ -3,7 +3,6 @@
     "anaconda_install_source_on_the_network",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ENGLISH",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ],
   "area": [
diff --git a/needles/anaconda_install_source_repo_select_mirrorlist.json b/needles/anaconda_install_source_repo_select_mirrorlist.json
--- a/needles/anaconda_install_source_repo_select_mirrorlist.json
+++ b/needles/anaconda_install_source_repo_select_mirrorlist.json
@@ -12,7 +12,6 @@
     "anaconda_install_source_repo_select_mirrorlist",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ENGLISH",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ]
 }
\ No newline at end of file
diff --git a/needles/anaconda_main_hub_install_destination_already_done.json b/needles/anaconda_main_hub_install_destination_already_done.json
--- a/needles/anaconda_main_hub_install_destination_already_done.json
+++ b/needles/anaconda_main_hub_install_destination_already_done.json
@@ -12,7 +12,6 @@
         "anaconda_main_hub_install_destination",
         "ENV-DISTRI-fedora",
         "ENV-LANGUAGE-ALL",
-        "ENV-OFW-1",
         "ENV-FLAVOR-server"
     ]
 }
diff --git a/needles/anaconda_main_hub_installation_source.json b/needles/anaconda_main_hub_installation_source.json
--- a/needles/anaconda_main_hub_installation_source.json
+++ b/needles/anaconda_main_hub_installation_source.json
@@ -3,7 +3,6 @@
     "anaconda_main_hub_installation_source",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ENGLISH",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ],
   "area": [
diff --git a/needles/anaconda_main_hub_select_packages.json b/needles/anaconda_main_hub_select_packages.json
--- a/needles/anaconda_main_hub_select_packages.json
+++ b/needles/anaconda_main_hub_select_packages.json
@@ -12,7 +12,6 @@
         "anaconda_main_hub_select_packages",
         "ENV-DISTRI-fedora",
         "ENV-LANGUAGE-ALL",
-        "ENV-OFW-1",
         "ENV-FLAVOR-server"
     ]
 }
\ No newline at end of file
diff --git a/needles/anaconda_select_install_lang_english_selected.json b/needles/anaconda_select_install_lang_english_selected.json
--- a/needles/anaconda_select_install_lang_english_selected.json
+++ b/needles/anaconda_select_install_lang_english_selected.json
@@ -13,7 +13,6 @@
         "anaconda_select_install_lang_filtered",
         "ENV-DISTRI-fedora",
         "ENV-LANGUAGE-ENGLISH",
-        "ENV-OFW-1",
         "ENV-FLAVOR-server"
     ]
 }
diff --git a/needles/anaconda_select_install_lang_french_selected.json b/needles/anaconda_select_install_lang_french_selected.json
--- a/needles/anaconda_select_install_lang_french_selected.json
+++ b/needles/anaconda_select_install_lang_french_selected.json
@@ -13,7 +13,6 @@
         "anaconda_select_install_lang_filtered",
         "ENV-DISTRI-fedora",
         "ENV-LANGUAGE-FRENCH",
-        "ENV-OFW-1",
         "ENV-FLAVOR-server"
     ]
 }
diff --git a/needles/boot_enter_passphrase.json b/needles/boot_enter_passphrase.json
--- a/needles/boot_enter_passphrase.json
+++ b/needles/boot_enter_passphrase.json
@@ -3,7 +3,6 @@
     "boot_enter_passphrase",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ALL",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ],
   "area": [
diff --git a/needles/boot_enter_passphrase2.json b/needles/boot_enter_passphrase2.json
--- a/needles/boot_enter_passphrase2.json
+++ b/needles/boot_enter_passphrase2.json
@@ -3,7 +3,6 @@
     "boot_enter_passphrase",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ALL",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ],
   "area": [
diff --git a/needles/password_required.json b/needles/password_required.json
deleted file mode 100644
--- a/needles/password_required.json
+++ /dev/null
@@ -1,18 +0,0 @@
-{
-  "tags": [
-    "password_required",
-    "ENV-DISTRI-fedora",
-    "ENV-LANGUAGE-ENGLISH",
-    "ENV-FLAVOR-server"
-  ],
-  "area": [
-    {
-      "xpos": 0,
-      "ypos": 79,
-      "width": 72,
-      "height": 21,
-      "type": "match"
-    }
-  ],
-  "properties": []
-}
\ No newline at end of file
diff --git a/needles/password_required.png b/needles/password_required.png
deleted file mode 100644
index 0000000000000000000000000000000000000000..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/needles/password_required2.json b/needles/password_required2.json
deleted file mode 100644
--- a/needles/password_required2.json
+++ /dev/null
@@ -1,18 +0,0 @@
-{
-  "area": [
-    {
-      "type": "match",
-      "ypos": 95,
-      "width": 72,
-      "height": 21,
-      "xpos": 0
-    }
-  ],
-  "tags": [
-    "password_required",
-    "ENV-DISTRI-fedora",
-    "ENV-LANGUAGE-ENGLISH",
-    "ENV-FLAVOR-server"
-  ],
-  "properties": []
-}
\ No newline at end of file
diff --git a/needles/password_required2.png b/needles/password_required2.png
deleted file mode 100644
index 0000000000000000000000000000000000000000..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/needles/provided_second_partition_intact.json b/needles/provided_second_partition_intact.json
--- a/needles/provided_second_partition_intact.json
+++ b/needles/provided_second_partition_intact.json
@@ -3,7 +3,6 @@
     "provided_second_partition_intact",
     "ENV-DISTRI-fedora",
     "ENV-LANGUAGE-ALL",
-    "ENV-OFW-1",
     "ENV-FLAVOR-server"
   ],
   "area": [
diff --git a/needles/tmp_failed_proc.json b/needles/tmp_failed_proc.json
deleted file mode 100644
--- a/needles/tmp_failed_proc.json
+++ /dev/null
@@ -1,18 +0,0 @@
-{
-  "tags": [
-    "tmp_failed_proc",
-    "ENV-DISTRI-fedora",
-    "ENV-LANGUAGE-ENGLISH",
-    "ENV-FLAVOR-develop"
-  ],
-  "properties": [],
-  "area": [
-    {
-      "xpos": 71,
-      "ypos": 338,
-      "width": 251,
-      "height": 11,
-      "type": "match"
-    }
-  ]
-}
diff --git a/needles/tmp_failed_proc.png b/needles/tmp_failed_proc.png
deleted file mode 100644
index 0000000000000000000000000000000000000000..0000000000000000000000000000000000000000
GIT binary patch